﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.CustomControl.CompositeControl
{
    /// <summary>
    /// ThicknessContentPop.xaml 的交互逻辑
    /// </summary>
    public partial class SlidContentPop : UserControl
    {
        public event EventHandler<double> OpacityValueChangedHandler;
        public SlidContentPop()
        {
            InitializeComponent();
        }

        private void OpacitySlider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            OpacityValueChangedHandler?.Invoke(this, e.NewValue);
        }
    }
}
