﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Dragablz;
using Prism.Events;

namespace PDF_Office.EventAggregators
{
    public class DragablzWindowEvent : PubSubEvent<DragablzWindowEventArgs>
    {

    }

    public class DragablzWindowEventArgs
    {
        public DragablzWindowEventType Type { get; set; }
        public TabablzControl TabControl { get; set; }
    }

    public enum DragablzWindowEventType
    {
        Opened,
        Closed,
        Activated
    }
}
