﻿using ComPDFKit_Conversion.Converter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageConverter
{
    public class HomePageConverterDialogModel
    {
        public static List<string> GetConverter = new List<string> { "HomePageConverterWord","HomePageConverterExcel","HomePageConverterPPT","HomePageConverterRTF","HomePageConverterHTML"
            ,"HomePageConverterText","HomePageConverterCSV","HomePageConverterImg" };

        /// <summary>
        /// 文档地址;
        /// </summary>
        public string InputPath = "";

        /// <summary>
        /// 输出地址;
        /// </summary>
        public string OutputPath = "";

        /// <summary>
        /// 进度;
        /// </summary>
        public OnProgress GetProgress = null;

        /// <summary>
        /// 页码 页码范围;
        /// </summary>
        public List<int> PageIndexLists = new List<int> { };

        /// <summary>
        /// 页面信息
        /// </summary>
        public string PageRange = "1,3-4,10";

        /// <summary>
        /// 文档密码;
        /// </summary>
        public string Pawssword = "";
    }
}
