﻿using ComPDFKit.PDFDocument;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.Dialog.HomePageToolsDialogs
{
    public class HomePagePictureToPDFDialogModel
    {

        /// <summary>
        /// 拆分模式
        /// </summary>
        public ToPDFFileMode Mode = ToPDFFileMode.NewFiles;

        /// <summary>
        /// 文件名标签
        /// </summary>
        public string RearFileNameLabel = "down";

        /// <summary>
        /// 文件名标签
        /// </summary>
        public string FrontFileNameLabel = "part";

        /// <summary>
        /// 当前文件路径
        /// </summary>
        public string FilePath = "";

        /// <summary>
        /// 文件密码
        /// </summary>
        public string Password = "";

        /// <summary>
        /// 保存逻辑
        /// </summary>
        public enum ToPDFFileMode
        {
            /// <summary>
            /// 单独为一个文档
            /// </summary>
            NewFiles,
            /// <summary>
            /// 保存为一个文档
            /// </summary>
            OneNewFile,
            /// <summary>
            /// 当前文档
            /// </summary>
            SelectFileName

        }
    }
}
