﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model
{
    /// <summary>
    /// 记录弹窗的名称
    /// </summary>
    public static class DialogNames
    {
        /// <summary>
        /// 文档解密弹窗 需要传参PDFDocument对象
        /// </summary>
        public static string VerifyPassWordDialog = "PassWordDialog";

        /// <summary>
        /// 全屏模式弹窗
        /// </summary>
        public static string FullScreenDialog = "FullScreenDialog";

        /// <summary>
        /// 压缩弹窗
        /// </summary>
        public static string CompressDialog = "CompressDialog";

        /// <summary>
        /// 解压缩弹窗
        /// </summary>
        public static string SetPasswordDialog = "SetPasswordDialog";

        /// <summary>
        /// 解压缩弹窗
        /// </summary>
        public static string CheckPasswordDialog = "CheckPasswordDialog";

        /// <summary>
        /// 删除安全性设置
        /// </summary>
        public static string DeleteSafetySettingsDialog = "DeleteSafetySettingsDialog";

        /// <summary>
        /// 进度条
        /// </summary>
        public static string CompressProgressBarDialog = "CompressProgressBarDialog";

        /// <summary>
        /// 页面编辑- 提取弹窗
        /// </summary>
        public static string ExtractDialog = "ExtractDialog";

        /// <summary>
        /// 页面编辑-拆分弹窗
        /// </summary>
        public static string SplitDialog = "SplitDialog";

        /// <summary>
        /// 页面编辑-插入弹窗
        /// </summary>
        public static string InsertDialog = "InsertDialog";

        ///<summary>
        ///主页工具-提取弹窗
        /// </summary>
        public static string HomePageExtractDialog = "HomePageExtractDialog";

        ///<summary>
        ///主页工具-插入弹窗
        /// </summary
        public static string HomePageInsertDialog = "HomePageInsertDialog";

        ///<summary>
        ///主页工具-拆分弹窗
        /// </summary>
        public static string HomePageSplitDialog = "HomePageSplitDialog";

        ///<summary>
        ///主页工具-打印弹窗
        /// </summary>
        public static string HomePagePrinterDialog = "HomePagePrinterDialog";

        ///<summary>
        ///打印弹窗-打印页面设置
        /// </summary>
        public static string HomePagePrinterPageSetDialog = "HomePagePrinterPageSetDialog";

        ///<summary>
        ///主页工具-图片转PDF弹窗
        /// </summary>
        public static string HomePagePictureToPDFDialog = "HomePagePictureToPDFDialog";

        /// <summary>
        ///BOTA-书签-添加书签弹窗
        /// </summary>
        public static string AddBookmarkDialog = "AddBookmarkDialog";
        ///<summary>
        ///主页工具-PDF批量工具
        /// </summary>
        public static string HomePageBatchProcessingDialog ="HomePageBatchProcessingDialog";

        ///<summary>
        ///转档-CSVD,PPT,Text,Word,HTML,Img,RTF,Excel弹窗
        /// </summary>
        public static string ConverterCSVDialog = "ConverterCSVDialog";
        public static string ConverterPPTDialog = "ConverterPPTDialog";
        public static string ConverterTextDialog = "ConverterTextDialog";
        public static string ConverterWordDialog = "ConverterWordDialog";
        public static string ConverterHTMLDialog = "ConverterHTMLDialog";
        public static string ConverterImgDialog = "ConverterImgDialog";
        public static string ConverterRTFDialog = "ConverterRTFDialog";
        public static string ConverterExcelDialog = "ConverterExcelDialog";
        ///<summary>
        ///转档进度条弹窗
        /// </summary>
        public static string ConverterProgressBarDialog = "ConverterProgressBarDialog";
    }
}