﻿using PDF_Office.Model;
using Prism.Commands;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;

namespace PDF_Office.ViewModels.Dialog.HomePageToolsDialogs.HomePageBatchProcessing.HomePageConverter
{
    public class HomePageConverterWordViewModel : BindableBase, INavigationAware
    {
        public DelegateCommand<string> RadioButtonCommand { get; set; }

        public HomePageConverterDialogViewModel homePageConverterDialogViewModel { get; set; }

        public HomePageConverterWordViewModel()
        {
            RadioButtonCommand = new DelegateCommand<string>(radiobutton);
        }
        private void radiobutton(string e)
        {
            string radioButton = e;
            if (radioButton != null)
            {
                switch (radioButton)
                {
                    case "FlowingTextRadioBtn":
                        break;
                    case "PageLayoutRadioBtn":
                        break;
                    default:
                        break;
                }
            }

        }
        public void OnNavigatedTo(NavigationContext navigationContext)
        {
            var homePageConverterVM = navigationContext.Parameters[ParameterNames.ViewContentViewModel] as HomePageConverterDialogViewModel;
            if (homePageConverterVM != null)
            {
                homePageConverterDialogViewModel = homePageConverterVM;
            }
        }

        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return true;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
        }
    }
}
