﻿using PDF_Office.EventAggregators;
using Prism.Commands;
using Prism.Events;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;

namespace PDF_Office.ViewModels.EditTools.Watermark
{
    public class WatermarkContentViewModel : BindableBase
    {
        public IEventAggregator eventAggregator;


        public DelegateCommand CloseEditToolCommand { get; set; }
        public WatermarkContentViewModel(IEventAggregator eventAggregator)
        {
            this.eventAggregator = eventAggregator;
            CloseEditToolCommand = new DelegateCommand(CloseEditTool);
        }
        public void CloseEditTool()
        {
            this.eventAggregator.GetEvent<CloseEditToolEvent>().Publish();

        }
    }
}
