﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDFSettings
{
    //用于记录弹窗策略相关的参数
    public class DialogCounter
    {
        /// <summary>
        /// 是否已经点击RateUs弹窗的按钮
        /// </summary>
        public bool HasRateUs = false;

        /// <summary>
        /// 版本更新时间
        /// </summary>
        public System.DateTime UpdateTime = System.DateTime.Now;

        /// <summary>
        /// 弹窗显示的时间
        /// </summary>
        public System.DateTime ShowedDate = System.DateTime.Now;

        /// <summary>
        /// app的打开次数
        /// </summary>
        public int AppOpenedCount = 0;

        /// <summary>
        /// 弹窗显示次数
        /// </summary>
        public int DialogShowedCount = 0;

        /// <summary>
        /// 当前版本不再显示设置默认APP 弹窗
        /// </summary>
        public bool SetDefualtAppDontShow = false;

        /// <summary>
        /// 更新后已显示
        /// </summary>
        public bool HasShowedAfterUpdated = false;
    }
}
