﻿using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.EventAggregators
{
    /// <summary>
    /// Xaml用于通知页面编辑VM刷新图像的事件
    /// </summary>
    public class PageEditRefreshEvent: PubSubEvent<PageEditRefreshEventArgs>
    {



    }

    public class PageEditRefreshEventArgs
    {
        /// <summary>
        /// 避免触发其他页签的识别码
        /// </summary>
        public string Unicode { get; set; }

        /// <summary>
        /// 页码范围
        /// </summary>
        public Tuple<int,int,int> PageRange { get; set; }
    }
}
