﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.PageEdit
{
    public class ExtractModel
    {
        /// <summary>
        /// 页面范围
        /// </summary>
        public List<int> PageRange { get; set; } = new List<int>();

        /// <summary>
        /// 每页提取成一个文档，否则多页提取成一个文档
        /// </summary>
        public bool IsEveryPageToFile { get; set; } = false;

        /// <summary>
        /// 提取后删除页面
        /// </summary>
        public bool IsDeleteAfterExtract { get; set; } = false;
    }
}
