﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model
{
    /// <summary>
    /// 记录常用的参数的Key名称，防止String写错
    /// </summary>
    public static class ParameterNames
    {
        #region ViewModelName
        public static string MainViewModel = "MainViewModel";

        public static string ViewContentViewModel = "ViewContentViewModel";

        public static string PropertyPanelContentViewModel = "PropertyPanelContentViewModel";
        #endregion

        public static string PDFViewer = "PDFViewer";

        public static string FilePath = "FilePath";

        public static string PassWord = "PassWord";

        public static string PDFDocument = "PDFDocument";

        public static string AddTab = "AddTab";

        public static string InsertType_File = "Insert_File";

        public static string InsertType_Blank = "Insert_Blank";

        public static string InsertType_Custom = "Insert_Custom";

        public static string BatchProcessing_Name = "BatchProcessing_Name";

        /// <summary>
        /// 书签
        /// </summary>
        public static string Bookmark = "Bookmark";

        public static string Title = "Title";

        public static string BookmarkInfo = "BookmarkInfo";

        /// <summary>
        /// 底部工具栏
        /// </summary>
        public static string BottomToolContentViewModel = "BottomToolContentViewModel";

        /// <summary>
        /// BOTA缩略图
        /// </summary>
        public static string BOTAThumb = "Thumbnail";

        /// <summary>
        /// 用于弹窗传参的数据模型
        /// </summary>
        public static string DataModel = "Model";

        /// <summary>
        /// 转换类型
        /// </summary>
        public static string ConverterType = "ConverterType";

        /// <summary>
        /// 用于转换数据模型
        /// </summary>
        public static string ConverterTypeModel = "ConverterTypeModel";
    }
}