﻿using PDF_Office.CustomControl;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views
{
    public class PromotionBanner
    {
        public string ImagePath { get; set; }
        public string Content { get; set; }
        public PromotionBanner(string ImagePath,string Content)
        {
            this.ImagePath = ImagePath;
            this.Content = Content;
        }

    }
    /// <summary>
    /// HomeContent.xaml 的交互逻辑
    /// </summary>
    public partial class HomeContent : UserControl
    {
       
        public HomeContent()
        {
            InitializeComponent();
            BtnGuid.IsChecked = true;
           
        }
      
        private void ToggleBtnSelect_Click(object sender, RoutedEventArgs e)
        {
            BtnGuid.IsChecked = false;
            BtnTool.IsChecked = false;
            BtnCloud.IsChecked = false;

            var btn = sender as CustomIconToggleBtn;
            if(btn != null )
            {
                btn.IsChecked = true;
            }
            
        }
    }
}
