﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDFSettings
{
    public class ProductActiveInfo
    {
        /// <summary>
        /// 设备ID
        /// </summary>
        public string DeviceId { get; set; } = string.Empty;
        /// <summary>
        /// 版本号
        /// </summary>
        public string Version { get; set; } = string.Empty;
        /// <summary>
        /// 序列码
        /// </summary>
        public string SerialNumber { get; set; } = string.Empty;
        /// <summary>
        /// 激活状态
        /// </summary>
        public int ActiveStatue { get; set; }
        /// <summary>
        /// 试用开始时间
        /// </summary>
        public long TrailStart { get; set; }
        /// <summary>
        /// 试用结束时间
        /// </summary>
        public long TrailEnd { get; set; }
        /// <summary>
        /// 购买类型
        /// </summary>
        public string ProductCode { get; set; }=string.Empty;
    }
    public class ProductActiveStore
    {
        /// <summary>
        /// 加密信息
        /// </summary>
        public string SignData { get; set; } = string.Empty;
        /// <summary>
        /// 验证信息
        /// </summary>
        public string CheckSum { get; set; } = string.Empty;
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdateTime { get; set; }
    }
}
