﻿using ComPDFKitViewer;
using System;
using System.Collections.Generic;
using System.Windows.Media;

namespace PDFSettings.Settings
{
    public class RecentOpenFiles : List<OpenFileInfo>
    {

    }

    public class OpenFileInfo
    {
        public string FileName { get; set; } = "";
        public string FilePath { get; set; } = "";
        public DateTime LastOpenTime { get; set; } = DateTime.Now;

        public string ThumbImgPath = "";
        public int LastPageIndex = 0;
        public double LastZoom = 1;

        public ViewMode LastViewMode = ViewMode.SingleContinuous;
        public FitMode LastFitMode = FitMode.FitFree;
        public SplitMode LastSplitMode = SplitMode.None;
        public bool ShowHighLightLink = true;
        public bool LastPageSpace = true;

        public DrawModes LastDrawMode = DrawModes.Draw_Mode_Normal;

        public uint LastFillColor = 0XFFFFFFFF;

        //用于记录显示的Color
        public Color LastFillBrushColor = Brushes.White.Color;
    }
}
